<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/html"
      xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Sociable Weaver</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"
          integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN"
          crossorigin="anonymous">

    <script>
        $(document).ready(function () {
            $(".comment_button").click(function () {
                var $x = $(this).parent().siblings(".comment_box");
                $x.toggle();
            });
        });
    </script>


    <script>
        $(document).ready(function () {
            $(".reply_button").click(function () {
                var $x = $(this).parent().siblings(".reply_box");
                $x.toggle();

            });
        });
    </script>

    <script>
        $(document).ready(function () {
            $(".update_post_button").click(function () {
                var $x = $(this).parent().siblings(".update_post_form");
                var $y = $(this).parent().siblings(".post_text_box").children("p").text();
                $x.toggle();
                $(this).parent().siblings(".update_post_form")
                    .children(".card-body").children(".tab-content")
                    .children(".tab-pane").children(".form-group")
                    .children(".form-control")
                    .text($y);

            });
        });
    </script>

    <script>
        $(document).ready(function () {
            $("#updateUserLink").click(function () {
                $("#updateUserBlock").toggle();
                $("#firstNameUpdate").val($("#currentFirstName").text());
                $("#lastNameUpdate").val($("#currentLastName").text());
                // $("#emailUpdate").val($("#currentEmail").text());
                $("#nationalityUpdate").val($("#currentNationality").text());
                $("#cityUpdate").val($("#currentCity").text());

            });
        });
    </script>

    <script>
        function likePost(el) {
            var x=$(el).attr("id").substring(6);
            $.ajax({
                url: `/api/v1/posts/${x}/likes`,
                type: 'PUT',
                success: function(response){
                    responseStr=response.toString();
                    var z=responseStr.charAt(0);
                    var m=responseStr.substring(1);
                    $(`#likeCount${x}`).text(m + " Likes");
                    if(z==="u"){
                        $(el).children("span").text(" UnLike")
                    }else {
                        $(el).children("span").text(" Like")
                    }
                    },
                error: function(){
                }
            });
        }
    </script>


    <script>
        function likeComment(el) {
            var x=$(el).attr("class").substring(7);
            var $y = $(el).children("span");

            $.ajax({
                url: `/api/v1/comments/${x}/likes`,
                type: 'PUT',
                success: function(response){
                    $y.text(response);
                },
                error: function(){
                }
            });
        }
    </script>

    <script>
        function likeReply(el) {
            var x=$(el).attr("id").substring(7);
            $.ajax({
                url: `/api/v1/replies/${x}/likes`,
                type: 'PUT',
                success: function(response){
                    $(`#replyLikeCount${x}`).text(response);

                    },
                error: function(){
                }
            });
        }
    </script>



    <script>
        $(document).ready(function () {
            $(".moreComments1").on("click",function () {
                var $x = $(this).parent().siblings(".moreComments");
                var $y=$(this).parent().siblings(".limitedComments");
                $(this).hide();
                $x.toggle();
                $y.hide();

            });
        });
    </script>



    <script>
        function changePostPrivacy(el) {
            var x=$(el).attr("id").substring(6);
            var $y = $(el).children("span");

            $.ajax({
                url: `/api/v1/posts/privacy/change/${x}`,
                type: 'PUT',
                success: function(response){
                    $y.text(response);
                },
                error: function(){
                }
            });
        }
    </script>


    <style>
        body {

            /*background-image: url("static/images/34726114_10216057859976556_8869133270403514368_n.jpg");*/
            background-color: #eeeeee;
        }

        .h7 {
            font-size: 0.8rem;
        }


        .gedf-wrapper {
            margin-top: 0.97rem;
        }

        @media (min-width: 992px) {
            .gedf-main {
                padding-left: 4rem;
                padding-right: 4rem;
            }

            .gedf-card {
                margin-bottom: 2.77rem;
            }
        }

        /**Reset Bootstrap*/
        .dropdown-toggle::after {
            content: none;
            display: none;
        }
    </style>

</head>
<body>


<nav th:insert="main_view_fragments.html :: navbar">

</nav>


<div class="container-fluid gedf-wrapper">
    <div class="row">

        <!--UserInfoCard-->
        <div class="col-md-3">
            <div class="card">
                <div class="card-body">
                    <!--<div id="currentFirstName" class="h5" th:text="'@'+${userFriend.getFirstName()}+' '+${userFriend.getLastName()}">@G G</div>-->
                    <div class="h5" >

                    <span id="currentFirstName" th:text="${userFriend.getFirstName()}">G</span>
                    <span  id="currentLastName" th:text="${userFriend.getLastName()}">G</span>
                    </div>
                    <div  id="currentEmail" class="h7 text-muted" th:text="${userFriend.getEmail()}">petyavesselinovageorgiev@yahoo.test</div>
                    <!--<div class="h7 text-muted" th:text="${userFriend.getNationality()}+', '+${userFriend.getCity()}">Bulgaria-->
                        <div class="h7 text-muted">
                        <span id="currentNationality" th:text="${userFriend.getNationality()}">Bulgaria</span>
                        <span id="currentCity" th:text="${userFriend.getCity()}">Bourgas</span>
                    </div>
                    <div class="h7">

                        <div>
                            <!--<img class="card-img-top" th:src="@{'data:postPhoto/png;base64,'+${userFriend.getPhoto()}}"-->
                                 <!--alt="">-->

                            <img class="card-img-top" th:unless="${(userFriend.getId()==user.getId() or userFriendFriendList.contains(user) or userFriend.isShared()) and userFriend.getPhoto()!=null}" src="https://picsum.photos/50/50" alt="">
                            <img class="card-img-top" th:if="${(userFriend.getId()==user.getId() or userFriendFriendList.contains(user) or userFriend.isShared()) and userFriend.getPhoto()!=null}" th:src="@{'data:postPhoto/png;base64,'+${userFriend.getPhoto()}}">



                        </div>
                    </div>


                    <!--<a id="updateUserLink" th:if="${userFriend.getId()==user.getId()}"  class="card-link" style="color: blue"><i class="fa fa-update" style="color: blue"></i> Update profile</a>-->
                    <a id="acceptRequestLink1" th:href="'/requests/send/'+${userFriend.getId()}" th:if="${userFriend.getId()!=user.getId()}" th:unless="${user.getSentFriendRequests().contains(userFriend)||user.getReceivedFriendRequests().contains(userFriend)||userFriendFriendList.contains(user)}"   class="card-link" style="color: blue"><i class="fa fa-friends" style="color: blue"></i> Request friendship</a>

                </div>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <div class="h6 text-muted">Friends</div>
                        <div class="h5"
                             th:text="${userFriendFriendList.size()}">
                            5.2342
                        </div>
                        <div th:each="friend:${userFriendFriendList}">
                            <div class="d-flex justify-content-left align-items-center">
                                <div class="mr-2">

                                    <img th:if="${friend.getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                                    <img th:unless="${friend.getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${friend.getPhoto()}}">
                                </div>
                                <div class="ml-2">
                                    <a  id="friendLink7" th:href="'/users/'+${friend.getId()}">
                                    <div class="h7 m-0" href="#"
                                         th:text="${friend.getFirstName()}+' '+${friend.getLastName()}">
                                        JoroJoro
                                    </div></a>
                                    <!--<div class="h7 text-muted">Miracles Lee Cross</div>-->
                                </div>
                            </div>

                        </div>

                    </li>
                    <li class="list-group-item">
                        <div class="h6 text-muted">Posts</div>
                        <div class="h5" th:text="${userFriend.getPosts().size()}">6758</div>
                    </li>
                    <li class="list-group-item">
                        <a  id="changeUserPrivacyLink1" th:if="${userFriend.isShared() and userFriend.getId()==user.getId()}" th:href="'/user/privacy/private/'+${user.getId()}" class="card-link" style="color: blue"><i class="fa fa-lock" style="color: blue"></i> Private </a>
                        <a id="changeUserPrivacyLink2" th:if="${!userFriend.isShared() and userFriend.getId()==user.getId()}" th:href="'/user/privacy/public/'+${user.getId()}" class="card-link" style="color: blue"><i class="fa fa-unlock" style="color: blue"></i> Public </a>
                    </li>
                </ul>
            </div>
        </div>


        <!--UserInfoCard-->
        <div class="col-md-6 gedf-main">




            <!--th:href="'/posts/privacy/public/'+${post.getPostId()}"-->



            <!--th:if="${userFriend.getId()==user.getId()||userFriendFriendList.contains(user)||post.isShared()}"-->
            <!--- \\\\\\\Post-->





<!--postblock-->
            <!--<div th:if="${userFriend.getId()==user.getId()||userFriendFriendList.contains(user)}" class="card gedf-card"-->
                 <!--th:replace="test.html :: post_block(posts)">-->
            <!--</div>-->

            <div th:if="${userFriend.getId()==user.getId()||userFriendFriendList.contains(user) or isAdmin}" class="card gedf-card" th:each="post:${posts}">
                <div class="card-header post">
                    <div class="d-flex justify-content-between align-items-center">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="mr-2">

                                <img th:if="${post.getUser().getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                                <img th:unless="${post.getUser().getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${post.getUser().getPhoto()}}">      </div>
                            <div class="ml-2">
                                <div class="h5 m-0"
                                     th:text="${post.getUser().getFirstName()}+' '+${post.getUser().getLastName()}">
                                    JoroJoro
                                </div>
                                <!--<div class="h7 text-muted">Miracles Lee Cross</div>-->
                            </div>
                        </div>
                    </div>

                </div>
                <div class="card-body post_text_box">
                    <div class="text-muted h7 mb-2"><i class="fa fa-clock-o"></i> <span
                            th:text="${post.getCreatedAt().toString().substring(0,16)}"></span></div>


                    <div>
                        <img class="card-img-top" th:src="@{'data:postPhoto/png;base64,'+${post.getPostPhoto()}}"
                             alt="">
                    </div>


                    <p class="card-text" th:text="${post.getPostText()}">
                        PostText
                    </p>
                </div>

                <div class="postCount card-footer d-flex justify-content-between">
                    <span th:id="likeCount+${post.getPostId()}" th:class="postCount" th:text="${post.getPostLikes().size()}+' Likes'"> 380 likes</span>
                    <span th:text="${post.getComments().size()+post.getRepliesCount()}+' Comments'"> 16 comments</span>
                </div>
                <!---->
                <div class="card-footer d-flex justify-content-between">
                    <a th:unless="${post.getPostLikes().contains(user)}" th:id="button+${post.getPostId()}" onclick="likePost(this)"
                       class="card-link postLikeFaFa" style="color: blue"><i class="fa fa-gittip" style="color: blue"></i> <span>Like</span></a>
                    <a th:if="${post.getPostLikes().contains(user)}" th:id="button+${post.getPostId()}" onclick="likePost(this)"
                       class="card-link postLikeFaFa" style="color: blue"><i class="fa fa-gittip" style="color: blue"></i> <span>UnLike</span></a>

                    <a id="commentPostLink2" class="comment_button card-link" style="color: blue"><i class="fa fa-comment" style="color: blue"></i> Comment</a>
                    <a id="updatePostLink2" th:if="${post.getUser().getId()==user.getId()}" class="update_post_button card-link" style="color: blue"><i class="fa fa-pencil" style="color: blue"></i> Update</a>
                    <a id="deletePostLink2" th:if="${post.getUser().getId()==user.getId() or isAdmin}" th:href="'/homepage/posts/delete/'+${post.getPostId()}" class="card-link" style="color: blue"><i class="fa fa-trash" style="color: blue"></i> Delete</a>
                    <!--<a th:if="${post.getUser().getId()==user.getId()} and ${post.isShared()}" th:href="'/posts/privacy/private/'+${post.getPostId()}" class="card-link" style="color: blue"><i class="fa fa-lock" style="color: blue"></i> Private </a>-->
                    <!--<a th:if="${post.getUser().getId()==user.getId()} and !${post.isShared()}" th:href="'/posts/privacy/public/'+${post.getPostId()}" class="card-link" style="color: blue"><i class="fa fa-unlock" style="color: blue"></i> Public </a>-->

                    <a th:id="change+${post.getPostId()}" onclick="changePostPrivacy(this)"
                       th:if="${post.getUser().getId()==user.getId()} and ${post.isShared()}"   style="color: blue"><i class="fa fa-lock" style="color: blue"></i><span> Private </span></a>
                    <a th:id="changa+${post.getPostId()}" onclick="changePostPrivacy(this)"
                       th:if="${post.getUser().getId()==user.getId()} and !${post.isShared()}"   style="color: blue"><i class="fa fa-lock" style="color: blue"></i><span> Public </span></a>


                </div>


                <!--форм  ъпдейт пост-->
                <form id="updatePostForm2" class="update_post_form" style="display: none;" action="#"
                      th:action="'/homepage/posts/update/'+${post.getPostId()}" th:object="${postDTO}"
                      method="post">
                    <div class="card-body">
                        <div class="tab-content" id="myTabContent4">
                            <div class="tab-pane fade show active" id="posts4" role="tabpanel"
                                 aria-labelledby="posts-tab">

                                <div class="form-group">
                                    <label class="sr-only" for="message">update post</label>
                                    <textarea class="form-control" id="message4" rows="2"
                                              placeholder="Update your post here."
                                              th:field="*{postText}" required maxlength="2000"></textarea>
                                </div>

                            </div>

                        </div>


                        <div class="btn-toolbar justify-content-between">
                            <div class="btn-group">
                                <button id="updatePostButton3" type="submit" class="btn btn-primary" value="Update post">update post</button>
                            </div>


                        </div>
                    </div>
                </form>



                <!--</form адд комент>-->


                <form id="addCommentForm1" class="comment_box" style="display: none;" action="#"
                      th:action="'/homepage/'+${post.getPostId()}+'/comments/new'" th:object="${commentDTO}"
                      method="post">
                    <div class="card-body">
                        <div class="tab-content" id="myTabContent5">
                            <div class="tab-pane fade show active" id="posts5" role="tabpanel"
                                 aria-labelledby="posts-tab">

                                <div class="form-group">
                                    <label class="sr-only" for="message">comment</label>
                                    <textarea class="form-control" id="message5" rows="2"
                                              placeholder="Write your comment here."
                                              th:field="*{commentText}" required maxlength="2000"></textarea>
                                </div>

                            </div>

                        </div>


                        <div class="btn-toolbar justify-content-between">
                            <div class="btn-group">
                                <button id="shareCommentButton2" type="submit" class="btn btn-primary" value="Add post">share</button>
                            </div>


                        </div>
                    </div>
                </form>


                <div class="card-body">
 <!-- 5 comments .................-->
                    <div class="limitedComments" th:insert="main_view_fragments.html :: comments_block(${post.getOrderedListLimited()})">

                    </div>


                    <!-- 5 comments .................-->

                    <div id="seeAllCommentsLink2" th:if="${post.getOrderedList().size()>5}"  >
                        <a style="color: blue" class="moreComments1 card-link"><i class="fa fa-mail-forward" style="color: blue"></i> All comments</a>

                    </div>

                    <!--more commenst block-->

                    <div class="moreComments" style="display: none;" th:insert="main_view_fragments.html :: comments_block(${post.getOrderedList()})">

                    </div>

                    <!--more commenst block-->

                </div>




            </div>




            <div th:if="${(userFriend.getId()==user.getId()||userFriendFriendList.contains(user))}"  class="card gedf-card">
                <div class="card-body">
                    <div class="btn-toolbar justify-content-between">
                        <div class="btn-group" >
                            <button id="btnGroupDrop3" type="button" class="btn btn-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                                    aria-expanded="false"  >
                                <i class="fa fa-forward"> find page </i>
                            </button>
                            <div th:if="${posts.getTotalPages()>0}" class="dropdown-menu dropdown-menu-right" aria-labelledby="btnGroupDrop1">
                                <ul   th:each="i:${#numbers.sequence(0,posts.getTotalPages()-1)}">
                                    <li>
                                        <a id="friendLink8" th:text="${i}" th:href="'/users/'+${userFriend.getId()}+'/?page='+${i}" class="dropdown-item" href="#" th:value="true"> </a>
                                    </li>    </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!--tuk-->


<!--postblock2-->

            <!--<div th:unless="${userFriend.getId()==user.getId()||userFriendFriendList.contains(user)}" class="card gedf-card"-->
                 <!--th:replace="test.html :: post_block(sharedPostsOfNonFriend)">-->
            <!--</div>-->
            <div th:unless="${userFriend.getId()==user.getId()||userFriendFriendList.contains(user) or isAdmin}" class="card gedf-card" th:each="post:${sharedPostsOfNonFriend}">
                <div class="card-header post">
                    <div class="d-flex justify-content-between align-items-center">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="mr-2">
                                <img th:if="${post.getUser().getPhoto()==null}" class="rounded-circle" width="35" src="https://picsum.photos/50/50" alt="">
                                <img th:unless="${post.getUser().getPhoto()==null}" class="rounded-circle" width="35" th:src="@{'data:postPhoto/png;base64,'+${post.getUser().getPhoto()}}">                       </div>
                            <div class="ml-2">
                                <div class="h5 m-0"
                                     th:text="${post.getUser().getFirstName()}+' '+${post.getUser().getLastName()}">
                                    JoroJoro
                                </div>
                                <!--<div class="h7 text-muted">Miracles Lee Cross</div>-->
                            </div>
                        </div>
                    </div>

                </div>
                <div class="card-body post_text_box">
                    <div class="text-muted h7 mb-2"><i class="fa fa-clock-o"></i> <span
                            th:text="${post.getCreatedAt().toString().substring(0,16)}"></span></div>


                    <div>
                        <img class="card-img-top" th:src="@{'data:postPhoto/png;base64,'+${post.getPostPhoto()}}"
                             alt="">
                    </div>


                    <p class="card-text" th:text="${post.getPostText()}">
                        PostText
                    </p>
                </div>

                <div class="postCount card-footer d-flex justify-content-between">
                    <span th:id="likeCount+${post.getPostId()}" th:class="postCount" th:text="${post.getPostLikes().size()}+' Likes'"> 380 likes</span>
                    <span th:text="${post.getComments().size()+post.getRepliesCount()}+' Comments'"> 16 comments</span>
                </div>
                <!---->
                <div class="card-footer d-flex justify-content-between">
                    <!--<a th:id="button+${post.getPostId()}" onclick="likePost(this)"-->
                       <!--class="card-link postLikeFaFa" style="color: blue"><i class="fa fa-gittip" style="color: blue"></i> Like</a>-->


                    <a th:unless="${post.getPostLikes().contains(user)}" th:id="butten+${post.getPostId()}" onclick="likePost(this)"
                       class="card-link postLikeFaFa" style="color: blue"><i class="fa fa-gittip" style="color: blue"></i> <span>Like</span></a>
                    <a th:if="${post.getPostLikes().contains(user)}" th:id="butten+${post.getPostId()}" onclick="likePost(this)"
                       class="card-link postLikeFaFa" style="color: blue"><i class="fa fa-gittip" style="color: blue"></i> <span>UnLike</span></a>


                    <a  id="commentPostLink5" class="comment_button card-link" style="color: blue"><i class="fa fa-comment" style="color: blue"></i> Comment</a>
                    <a  id="updatePostLink5" th:if="${post.getUser().getId()==user.getId()}" class="update_post_button card-link" style="color: blue"><i class="fa fa-pencil" style="color: blue"></i> Update</a>
                    <a id="deletePostLink5" th:if="${post.getUser().getId()==user.getId() or isAdmin}" th:href="'/homepage/posts/delete/'+${post.getPostId()}" class="card-link" style="color: blue"><i class="fa fa-trash" style="color: blue"></i> Delete</a>
                    <!--<a th:if="${post.getUser().getId()==user.getId()} and ${post.isShared()}" th:href="'/posts/privacy/private/'+${post.getPostId()}" class="card-link" style="color: blue"><i class="fa fa-lock" style="color: blue"></i> Private </a>-->
                    <!--<a th:if="${post.getUser().getId()==user.getId()} and !${post.isShared()}" th:href="'/posts/privacy/public/'+${post.getPostId()}" class="card-link" style="color: blue"><i class="fa fa-unlock" style="color: blue"></i> Public </a>-->

                    <a th:id="change+${post.getPostId()}" onclick="changePostPrivacy(this)"
                       th:if="${post.getUser().getId()==user.getId()} and ${post.isShared()}"   style="color: blue"><i class="fa fa-lock" style="color: blue"></i><span> Private </span></a>
                    <a th:id="changa+${post.getPostId()}" onclick="changePostPrivacy(this)"
                       th:if="${post.getUser().getId()==user.getId()} and !${post.isShared()}"   style="color: blue"><i class="fa fa-lock" style="color: blue"></i><span> Public </span></a>


                </div>


                <!--форм  ъпдейт пост-->
                <form id="updatePostLink6" class="update_post_form" style="display: none;" action="#"
                      th:action="'/homepage/posts/update/'+${post.getPostId()}" th:object="${postDTO}"
                      method="post">
                    <div class="card-body">
                        <div class="tab-content" id="myTabContent3">
                            <div class="tab-pane fade show active" id="posts3" role="tabpanel"
                                 aria-labelledby="posts-tab">

                                <div class="form-group">
                                    <label class="sr-only" for="message">update post</label>
                                    <textarea class="form-control" id="message3" rows="2"
                                              placeholder="Update your post here."
                                              th:field="*{postText}" required maxlength="2000"></textarea>
                                 </div>

                            </div>

                        </div>


                        <div class="btn-toolbar justify-content-between">
                            <div class="btn-group">
                                <button id="updatePostButton8" type="submit" class="btn btn-primary" value="Update post">update post</button>
                            </div>


                        </div>
                    </div>
                </form>



                <!--</form адд комент>-->


                <form id="commentForm5" class="comment_box" style="display: none;" action="#"
                      th:action="'/homepage/'+${post.getPostId()}+'/comments/new'" th:object="${commentDTO}"
                      method="post">
                    <div class="card-body">
                        <div class="tab-content" id="myTabContent1">
                            <div class="tab-pane fade show active" id="posts1" role="tabpanel"
                                 aria-labelledby="posts-tab">

                                <div class="form-group">
                                    <label class="sr-only" for="message">comment</label>
                                    <textarea class="form-control" id="message1" rows="2"
                                              placeholder="Write your comment here."
                                              th:field="*{commentText}" required maxlength="2000"></textarea>
                                </div>

                            </div>

                        </div>


                        <div class="btn-toolbar justify-content-between">
                            <div class="btn-group">
                                <button id="addCommentButton5" type="submit" class="btn btn-primary" value="Add post">share</button>
                            </div>


                        </div>
                    </div>
                </form>


                <div class="card-body">
                    <!-- 5 comments .................-->
                    <div class="limitedComments" th:insert="main_view_fragments.html :: comments_block(${post.getOrderedListLimited()})">

                    </div>


                    <!-- 5 comments .................-->

                    <div th:if="${post.getOrderedList().size()>5}"  >
                        <a id="allCommentsTab5" style="color: blue" class="moreComments1 card-link"><i class="fa fa-mail-forward" style="color: blue"></i> All comments</a>

                    </div>

                    <!--more commenst block-->

                    <div class="moreComments" style="display: none;" th:insert="main_view_fragments.html :: comments_block(${post.getOrderedList()})">

                    </div>

                    <!--more commenst block-->


                </div>
            </div>







                <div th:unless="${userFriend.getId()==user.getId()||userFriendFriendList.contains(user)}" class="card gedf-card">
                    <div class="card-body">
                        <div class="btn-toolbar justify-content-between">
                            <div class="btn-group" >
                                <button id="btnGroupDrop1" type="button" class="btn btn-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                                        aria-expanded="false"  >
                                    <i class="fa fa-forward"> find page </i>
                                </button>
                                <div th:if="${sharedPostsOfNonFriend.getTotalPages()>0}" class="dropdown-menu dropdown-menu-right" aria-labelledby="btnGroupDrop1">
                                    <ul   th:each="i:${#numbers.sequence(0,sharedPostsOfNonFriend.getTotalPages()-1)}">
                                        <li>
                                            <a id="changePageTab2" th:text="${i}" th:href="'/users/'+${userFriend.getId()}+'/?page='+${i}" class="dropdown-item" href="#" th:value="true"> </a>
                                        </li>    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>




        </div>






























        <!--tuk-->



        <div class="col-md-3">
            <div class="card gedf-card">
                <div class="card-body">
                    <!--<h5 class="card-title"> Find more bird watchers</h5>-->
                    <!--<h6 class="card-subtitle mb-2 text-muted">Card subtitle</h6>-->
                    <!--<p class="card-text">Some quick example text to build on the card title and make up the bulk of the-->
                    <!--card's content.</p>-->
                    <!--<a href="#" class="card-link">Card link</a>-->
                    <!--<a href="#" class="card-link">Another link</a>-->
                    <a id="updateUserLink" th:if="${userFriend.getId()==user.getId()}"  class="card-link" style="color: blue"><i class="fa fa-update" style="color: blue"></i> Update profile</a>

                </div>
            </div>


            <div id="updateUserBlock" class="card gedf-card" style="display: none">
                <div class="card-body">
                    <form id="updateUserForm" class="form-inline"
                          th:action="@{/user/update}"
                          th:object="${userDTO}"
                          method="post"  enctype="multipart/form-data">

                        <div class="input-group">
                            <label> First name</label>
                            <pre>      </pre>
                            <input id="firstNameUpdate" type="text" th:field="*{firstName}" class="form-control" aria-label="Recipient's username" aria-describedby="button-addon2" minlength="3" maxlength="20" required>
                            <div class="input-group-append">
                            </div>
                        </div>
                        <br>
                        <br>
                        <br>

                        <div class="input-group">
                            <label> Last name</label>
                            <pre>      </pre>
                            <input id="lastNameUpdate" type="text" th:field="*{lastName}" class="form-control" aria-label="Recipient's username" aria-describedby="button-addon2"  minlength="3" maxlength="20" required>
                            <div class="input-group-append">
                            </div>
                        </div>
                        <br>
                        <br>
                        <br>

                        <!--<div  class="input-group">-->
                            <!--<label> Email</label>-->
                            <!--<pre>          </pre>-->
                            <!--<input id="emailUpdate" type="text" th:field="*{email}" class="form-control" aria-label="Recipient's username" aria-describedby="button-addon2">-->

                            <!--<div class="input-group-append">-->
                            <!--</div>-->
                        <!--</div>-->
                        <!--<br>-->
                        <!--<br>-->
                        <!--<br>-->

                        <div class="input-group">
                            <label> Nationality</label>
                            <pre>     </pre>
                            <input  id="nationalityUpdate" type="text" th:field="*{nationality}" class="form-control" aria-label="Recipient's username" aria-describedby="button-addon2"  minlength="3" maxlength="50">
                            <div class="input-group-append">
                            </div>
                        </div>
                        <br>
                        <br>
                        <br>


                        <div class="input-group">
                            <label> City </label>
                            <pre>           </pre>
                            <input  id="cityUpdate" type="text" th:field="*{city}" class="form-control" aria-label="Recipient's username" aria-describedby="button-addon2"  minlength="3" maxlength="50">
                            <div class="input-group-append">
                            </div>
                        </div>
                        <br>
                        <br>
                        <br>


                        <div id="photoUpdate" class="input-group">
                            <label> Photo
                            <pre>         </pre>

                                <input type="file" accept="image/*" name="file"/>
                                <input type="hidden" name="MAX_FILE_SIZE" value="2000000"/>
                            </label>
                            <div class="input-group-append">
                            </div>
                        </div>
                        <br>
                        <br>
                        <br>
                        <br>
                        <!--<div class="custom-control custom-checkbox">-->
                                <!--<input type="radio" name="shared" th:value="true" checked="checked"/>-->
                            <!--<span>Private</span>-->
                                <!--<input type="radio" name="shared" th:value="false"  />-->
                            <!--<span>Public</span>-->
                            <!--<pre>   </pre>-->

                        <!--</div>-->


                        <!--<div class="custom-control custom-checkbox">-->
                            <!--<input type="checkbox" class="custom-control-input" id="customCheck1" th:field="*{shared}"-->
                                   <!--th:value="true">-->
                            <!--<label class="custom-control-label" for="customCheck1">Public</label>-->
                        <!--</div>-->

                        <div>
                            <br>
                            <br>
                            <br>

                            <pre>         </pre>
                        <button class="btn btn-outline-primary updateUserButton1" type="submit" id="button-addon2" >
                             Submit form
                        </button>
                        </div>

                    </form>
                </div>
            </div>
        </div>


    </div>
</div>

<script>
    $(document).ready(function () {
        $("input[type='file']").on("change", function () {
            if (this.files[0].size > 2000000) {
                alert("Please upload files that are less than 2MB. Thanks!!!");
                $(this).val('');
            }
        });
        $("input[type='file']").click(function () {
            $("input[id='customFile']").click();
        });

        $("input[id='customFile']").change(function (e) {
            var $this = $(this);
            $this.next().html($this.val().split('\\').pop());
        });
    });
</script>


<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
        integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
        crossorigin="anonymous"></script>
<script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.4.1.min.js"></script>


</body>
</html>